# class GxG::ReturnResponse

### Public Class Methods

new(response={}) click to toggle source

this class allows for characterized muli-part return values for Procs and Methods this was created for a variety of reasons. Hope this isn't a dead end.

    # File lib/gxg/gxg_elements.rb, line 364
    def initialize(response={})
      unless response.is_a?(::Hash)
        raise ArgumentError.new("Response must be passed as a Hash")
      end
      @details = response
    end

### Public Instance Methods

debug() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 385
    def debug()
      @details[:debug]
    end

error() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 376
    def error()
      @details[:error]
    end

info() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 382
    def info()
      @details[:info]
    end

inspect() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 388
    def inspect()
      @details.inspect
    end

new_selector() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 370
    def new_selector()
      @details[:new_selector]
    end

result() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 373
    def result()
      @details[:result]
    end

warning() click to toggle source

    # File lib/gxg/gxg_elements.rb, line 379
    def warning()
      @details[:warning]
    end